import { asp as g } from "@asp/asp";
import { ImageBackground } from "expo-image";
import type { FC } from "react";
import type { ViewProps } from "react-native";
import { useSafeAreaInsets } from "react-native-safe-area-context";

export const BarnoinPayBackground: FC<ViewProps> = ({ children, style, ...rest }) => {
	const insets = useSafeAreaInsets();
	return (
		<ImageBackground
			style={[g.flex_1, { paddingTop: insets.top }, style]}
			source={require("@assets/background.png")}
			{...rest}
		>
			{children}
		</ImageBackground>
	);
};
